gtkmm 3.13.8

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions | List of all members
Gtk::Buildable Class Reference

A base class for objects that can be built by Gtk::Builder. More...

`#include <gtkmm/buildable.h>`

Inheritance diagram for Gtk::Buildable:
[legend]

## Public Member Functions
virtual | ~Buildable ()
GtkBuildable* | gobj ()
| Provides access to the underlying C GObject. More...
const GtkBuildable* | gobj () const
| Provides access to the underlying C GObject. More...
void | set_name (const Glib::ustring& name)
| Sets the name of the buildable object. More...
Glib::ustring | get_name () const
| Gets the name of the buildable object. More...

## Static Public Member Functions
static void | add_interface (GType gtype_implementer)
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...

## Protected Member Functions
| Buildable ()
| You should derive from this class to use it. More...

## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gtk::Buildable > | wrap (GtkBuildable* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...

## Detailed Description

A base class for objects that can be built by Gtk::Builder.

Buildable allows objects to extend and customize thier deserialization from Gtk::Builder UI descriptions. The interface includes methods for setting names and properties of objects, parsing custom tags and constructing child objects.

All gtkmm widgets, and many non-widget objects, derive from this base class. The main user of this interface is Gtk::Builder. There should be very little need for applications to call any of Buildable's methods.

Since gtkmm 3.0:

## Constructor & Destructor Documentation

Gtk::Buildable::Buildable | ( |  | ) |
| protected

You should derive from this class to use it.

virtual Gtk::Buildable::~Buildable | ( |  | ) |
| virtual

## Member Function Documentation

static void Gtk::Buildable::add_interface | ( | GType | gtype_implementer | ) |
| static

Glib::ustring Gtk::Buildable::get_name | ( |  | ) | const

Gets the name of the buildable object.

Gtk::Builder sets the name based on the [GtkBuilder UI definition][BUILDER-UI] used to construct the buildable.

Since gtkmm 2.12:

Returns
  The name set with set_name().

static GType Gtk::Buildable::get_type | ( |  | ) |
| static

Get the GType for this class, for use with the underlying GObject type system.

GtkBuildable* Gtk::Buildable::gobj | ( |  | ) |
| inline

Provides access to the underlying C GObject.

const GtkBuildable* Gtk::Buildable::gobj | ( |  | ) | const
| inline

Provides access to the underlying C GObject.

void Gtk::Buildable::set_name | ( | const Glib::ustring & | name | ) |

Sets the name of the buildable object.

Since gtkmm 2.12:

Parameters

  name | Name to set.

## Friends And Related Function Documentation

Glib::RefPtr< Gtk::Buildable > wrap | ( | GtkBuildable * | object,
|  | bool | take_copy = `false`
| ) |  |
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.